Loading...
Searching...
No Matches
libnetconf.h File Reference

libnetconf2 main internal header. More...

`#include "config.h"`
`#include "log_p.h"`
`#include "messages_p.h"`
`#include "netconf.h"`
`#include "session_p.h"`
Include dependency graph for libnetconf.h:

Go to the source code of this file.

## Macros

#define | strisempty(str) ((str)[0] == '\0')
#define | strnonempty(str) ((str)[0] != '\0')

## Detailed Description

libnetconf2 main internal header.

Author
  Radek Krejci rkrej.nosp@m.ci@c.nosp@m.esnet.nosp@m..cz
  Michal Vasko mvask.nosp@m.o@ce.nosp@m.snet..nosp@m.cz

Copyright (c) 2015 - 2021 CESNET, z.s.p.o.

This source code is licensed under BSD 3-Clause License (the "License"). You may not use this file except in compliance with the License. You may obtain a copy of the License at

    https://opensource.org/licenses/BSD-3-Clause

Definition in file libnetconf.h.

## Macro Definition Documentation

## strisempty

#define strisempty | ( |  | str | ) | ((str)[0] == '\0')

Definition at line 26 of file libnetconf.h.

## strnonempty

#define strnonempty | ( |  | str | ) | ((str)[0] != '\0')

Definition at line 27 of file libnetconf.h.